KJL - Bug #1965

[HR - Time Management] Tanggal Public Holiday tidak Teregenarate
01/25/2023 02:14 PM - Mega Yunita

Status: Closed Start date: 01/25/2023
Priority: Normal Due date: 01/26/2023
Assignee: Fachrul Hardianto % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Azid,

Mohon bantuannya untuk memperbaiki masalah yang terjadi, yaitu :
1. Saat melakukan Generate WS Calender, tanggal-tanggal Public Holiday yang sudah diinput dan disetting tidak tergenarate
otomatis.

Port : http://45.251.75.66:31138/
Server : 45.251.75.66
DB : MinovaES_KJL

History

#1 - 01/25/2023 02:17 PM - Mega Yunita
- File clipboard-202301251416-jk6hx.png added

Solusi :

1. Setting di SDATATABEFIELD untuk table PHRTMHOLCAL, field Country diubah bagian DataReF dan TableRef.
2. DataRef diubah menjadi CALTYP
3. TableRef diubah menjadi PHRTMCALTYP

3 HRIS-DATABASE. MinovaES_BankKalteng_Prod - dbo. SDATATABLEFIELD - Microsoft SQL Server Management Studio - X
ile Edit View Project Debug Query Designer Tools Window Help
Al S | D NewQuery [Hif B i 4 @9 - - -5 e b | (3 | PCMWERUNMAIN where Bizflow ~| | £3] 27 3¢ (9] = =

=] &l =] | ChangeType~ | 1 ke | = [ 79 75] o

Connect~ 3 3 w7 F] .5 Column Alias Table Outp... Sort Type Sort Order Filter Or... Or... Or. &
[ Database Snapshots Ll 13 TableName SDATATAB... | = 'PHRTM
I} M!HDVHDEtEES_MIHDVE‘S_AP FieldName SDATATAB..
|J MinovaES_Amartha_Dev
| J MinovaES_Amartha_Prod Seqhum SDATATAB...
| MinovaES_Amartha_Staging Datafief SDATATAB...
13 MinavakS Arita_Dev DataType SDATATAB...
| J MinovaES_BIA_Dev
Length SDATATAB... 1
| MinovaEs_BIA_Prod N9
| J MinovakS_Demo Prec SDATATAB...
B | MinovaES_KIL Scale SDATATAB...
[ Database Diagrams TableRef SDATATAB...
= [ Tables (filtered)
£3 System Tables FixedValue SDATATAB...
[ FileTables SearchFunction SDATATAB... .

= dbo,PHRPYMASSDAT

=1 dbo.SDATAFIELDREF TableMame FieldName SeqNum DataType Length Prec Scale TableRef FixedValue Searcl *

21 dbo.SDATAFIELDREFT PHRTMHOLCAL  ChangeBy g CHANGEBY 0 18 0 0 NULL
53 dbo.SDATAREF PHRTMHOLCAL  ChangeDate 9 CHANGEDT 0 14 0 0 NULL
1 dboSDATASOURCE Il» PHRTMHOLCAL  Country 2 ICALTYP |D 4 0 0 PHF\TMCALTY NULL
21 dbo.SDATATABLE
1 dbo.SDATATABLEFIEL PHRTMHOLCAL  CreateBy 3 CREATEEY ] T8 ] ] NULL
2 dbo.SDATATYPE PHRTMHOLCAL  CreateDate 7 CREATEDT ] 14 ] 0] NULL
= dbo.SDATAVARIANT PHRTMHOLCAL  Date 5 DATE 0 8 0 0 NULL
3 dbo.SDATAVARIANTC PHRTMHOLCAL  DayType 4 DAYTYP 0 40 0 0 PHRTMDAYTYP  NULL
Vi
I Views PHRTMHOLCAL  PublicHoliday 1 PH 0 4 0 0 PHRTMPUBHOL  NULL
3 Synonyms
[ Programmability PHRTMHOLCAL  Year 3 YEAR 0 4 0 0] NULE
[ Service Broker . [NULL NULL NULL NULL NULL NULL NULL NULL NULL NULL NULL w

#2 - 01/25/2023 02:19 PM - Mega Yunita

- Status changed from Assigned to Closed
#3 - 01/25/2023 03:52 PM - Mega Yunita

- Subject changed from [Time Management] Tanggal Public Holiday tidak Teregenarate to [HR - Time Management] Tanggal Public Holiday tidak
Teregenarate
